Package org.gradle.api.capabilities

# Interface CapabilitiesMetadata

All Known Subinterfaces:
  `MutableCapabilitiesMetadata`

public interface CapabilitiesMetadata
Gives access to the list of capabilities of a component.

Since:
  4.7

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<? extends Capability>`
  `getCapabilities()`
  Returns an immutable view of the capabilities.

- ## Method Details

  - ### getCapabilities

    List<? extends Capability> getCapabilities()
    Returns an immutable view of the capabilities.
    Returns:
      the list of capabilities. Immutable.